package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.NetResponseUtils;
import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.function.Action0;

import java.util.function.Supplier;

/**
 * slm-bi
 * 抽取公用得controller父类
 *
 * @author : lin
 * @date : 2021-04-06 09:09
 **/
public class BaseRestController {
    R<Object> call(Action0 action) {
        return NetResponseUtils.call(action);
    }

    <T> R<T> call(Supplier<T> supplier) {
        return NetResponseUtils.call(supplier);
    }
}
